it.csi.mddtools.guigen

## Interface FormPanel

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Panel

      public interface FormPanel
      extends Panel

  A representation of the model object 'Form Panel'. Pannello destinato a contenere sottopannelli. Serve principlamente per definire la struttura della user interface. Non tutte lel possibilità (di layout, di annidamento) sono disponibili pe rtutte le cartucce di layout/portale.

  The following features are supported:

  - `Subpanels`
  - `Widgets`
  - `Collapsible`
  See Also:
    `GuigenPackage.getFormPanel()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<Panel>` | `getSubpanels()` Returns the value of the 'Subpanels' containment reference list.
    `org.eclipse.emf.common.util.EList<Widget>` | `getWidgets()` Returns the value of the 'Widgets' containment reference list.
    `boolean` | `isCollapsible()` Returns the value of the 'Collapsible' attribute.
    `void` | `setCollapsible(boolean value)` Sets the value of the '`Collapsible`' attribute

    - ### Methods inherited from interface it.csi.mddtools.guigen.Panel

      `getLabel, getLayout, getLayoutSpec, getName, isScrollable, setLabel, setLayout, setLayoutSpec, setName, setScrollable`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getSubpanels

          org.eclipse.emf.common.util.EList<Panel> getSubpanels()

      Returns the value of the 'Subpanels' containment reference list. The list contents are of type `Panel`.

      If the meaning of the 'Subpanels' containment reference list isn't clear, there really should be more of a description here...

      Un FormPanel contiene uno o più sottopannelli organizzati in vari tipi di layout. La disposizione effettiva dei sottopannelli all'interno del FormPanel dipende da:
      - il tipo di layout associato al pannello
      - lo specificatore associato a ciascun sottopannello
      Returns:
        the value of the 'Subpanels' containment reference list.
      See Also:
        `GuigenPackage.getFormPanel_Subpanels()`

    - #### getWidgets

          org.eclipse.emf.common.util.EList<Widget> getWidgets()

      Returns the value of the 'Widgets' containment reference list. The list contents are of type `Widget`.

      If the meaning of the 'Widgets' containment reference list isn't clear, there really should be more of a description here...

      OBSOLETO: NON UTILIZZARE: utilizzare un WidgetsPanel o un CommandPanel interni al FormPanel ed inserire lì i widget.
      Returns:
        the value of the 'Widgets' containment reference list.
      See Also:
        `GuigenPackage.getFormPanel_Widgets()`

    - #### isCollapsible

          boolean isCollapsible()

      Returns the value of the 'Collapsible' attribute. The default value is `"false"`. Se true il pannello è collassabile.
      Returns:
        the value of the 'Collapsible' attribute.
      See Also:
        `setCollapsible(boolean)`, `GuigenPackage.getFormPanel_Collapsible()`

    - #### setCollapsible

          void setCollapsible(boolean value)

      Sets the value of the '`Collapsible`' attribute.
      Parameters:
        `value` - the new value of the 'Collapsible' attribute.
      See Also:
        `isCollapsible()`